Skip to content

Get a New Strategy Plan

Request

Get a new strategy plan by ID

Security
Auth0(Required scopes: offline_accessmanage:services)
Path
strategy_plan_idintegerrequired

Numeric ID of the strategy_plan object to get

Query
extendedboolean

Get extended properties in response

curl -i -X GET \
  'https://api.mediamath.com/api/v3.0/new_strategy_plans/{strategy_plan_id}?extended=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

New strategy plan response

Bodyapplication/json
Any of:
dataobject(new_strategy_plan_full_response)

New Strategy Plan

metaobject
Response
{ "data": { "campaign_start_date": "2019-08-24T14:15:22Z", "campaign_end_date": "2019-08-24T14:15:22Z", "campaign_zone_name": "string", "name": "string", "feature_compatibility": "string", "device_graph_only": true, "zone_name": "America/New_York", "campaign_service_type": "string", "type": "string", "duration": { … }, "budget": { … }, "goals": { … }, "frequency": { … }, "inventory": { … }, "targeting": { … }, "creatives": { … }, "id": 33, "version": 3, "campaign_id": 8 }, "meta": { "status": "success" } }